/******************************************************************************
*
* Freescale Semiconductor Inc.
* (c) Copyright 2013 Freescale Semiconductor, Inc.
* ALL RIGHTS RESERVED.
*
***************************************************************************
*
* THIS SOFTWARE IS PROVIDED BY FREESCALE "AS IS" AND ANY EXPRESSED OR
* IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
* OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
* IN NO EVENT SHALL FREESCALE OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
* INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
* (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
* SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
* HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
* STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING
* IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF
* THE POSSIBILITY OF SUCH DAMAGE.
*
***************************************************************************//*!
*
* @file kv10_config.h
*
* @author Freescale
*
* @version 0.0.1
*
* @date Jun 25, 2013
*
* @brief library and board configuration code. 
*
*******************************************************************************
*
* NOTE:
*	printf call may occupy a lot of memory (around 1924 bytes), so please
*	consider your code size before using printf.
******************************************************************************/

#ifndef _KVxx_CONFIG_H_
#define _KVxx_CONFIG_H_

/******************************************************************************
* Includes
******************************************************************************/
#include <stdint.h>
/******************************************************************************
* Constants
******************************************************************************/

/******************************************************************************
* Macros
******************************************************************************/

/*   
* Input Clock Info
*/
#define CLK0_FREQ_HZ        10000000
#define CLK0_TYPE           CRYSTAL



  /*
   * System Bus Clock Info
   */
  //#define MGG_OSC_MODE        XTAL_MODE     // EXTOSC_MODE or XTAL_MODE
 // #define REF_CLK             XTAL8         // see available frequencies in osc_frequency   in mcg.h
  //#define CORE_CLK_MHZ        PLL50         // see pll_options  frequencies in              in mcg.h
#ifdef FEI_72M
    #define SYSTEM_CLK_HZ         72000000L
#else
  #define SYSTEM_CLK_HZ       75000000L
#endif
  
#define UART0_CLK_HZ		  SYSTEM_CLK_HZ   
  /* Serial Port Info */
  
#define TERM_PORT           UART0
#define TERMINAL_BAUD       115200


/* define code purporse */
//#define FCC_TEST
//#define FAT_TEST
#define DEMO_MODE   
       
/*alais PTn to GPIOn */
#if !defined(GPIOA)
#define GPIOA   PTA
#define GPIOB   PTB
#define GPIOC   PTC
#define GPIOD   PTD
#define GPIOE   PTE
#endif

/*leds configuration*/
#define  LED0_Init()  PORTC->PCR[1] = PORT_PCR_MUX(0x01); GPIOC->PDDR |= (1<<1)
#define  LED0_On()    (GPIOC->PCOR = (1<<1))       
#define  LED0_Off()   (GPIOC->PSOR = (1<<1))
#define  LED0_Toggle()   (GPIOC->PTOR = (1<<1))

#define  LED1_Init()  PORTE->PCR[25] = PORT_PCR_MUX(0x01); GPIOE->PDDR |= (1<<25)
#define  LED1_On()    (GPIOE->PCOR = (1<<25))
#define  LED1_Off()   (GPIOE->PSOR = (1<<25))
#define  LED1_Toggle()   (GPIOE->PTOR = (1<<25))

#define  LED2_Init()  PORTC->PCR[3] = PORT_PCR_MUX(0x01); GPIOC->PDDR |= (1<<3)
#define  LED2_On()    (GPIOC->PCOR = (1<<3))
#define  LED2_Off()   (GPIOC->PSOR = (1<<3))
#define  LED2_Toggle()   (GPIOC->PTOR = (1<<3))

#define  LED3_Init()  PORTC->PCR[4] = PORT_PCR_MUX(0x01); GPIOC->PDDR |= (1<<4)
#define  LED3_On()    (GPIOC->PCOR = (1<<4)) 
#define  LED3_Off()   (GPIOC->PSOR = (1<<4))   
#define  LED3_Toggle()   (GPIOC->PTOR = (1<<4))  

#define  LED4_Init()  PORTD->PCR[4] = PORT_PCR_MUX(0x01); GPIOD->PDDR |= (1<<4)
#define  LED4_On()    (GPIOD->PCOR = (1<<4))      
#define  LED4_Off()   (GPIOD->PSOR = (1<<4)) 
#define  LED4_Toggle()   (GPIOD->PTOR = (1<<4)) 

#define  LED5_Init()  PORTD->PCR[5] = PORT_PCR_MUX(0x01); GPIOD->PDDR |= (1<<5)
#define  LED5_On()    (GPIOD->PCOR = (1<<5))      
#define  LED5_Off()   (GPIOD->PSOR = (1<<5))
#define  LED5_Toggle()   (GPIOD->PTOR = (1<<5))

#define  LED6_Init()  PORTD->PCR[6] = PORT_PCR_MUX(0x01); GPIOD->PDDR |= (1<<6)
#define  LED6_On()    (GPIOD->PCOR = (1<<6))       
#define  LED6_Off()   (GPIOD->PSOR = (1<<6))
#define  LED6_Toggle()   (GPIOD->PTOR = (1<<6))

#define  LED7_Init()  PORTD->PCR[7] = PORT_PCR_MUX(0x01); GPIOD->PDDR |= (1<<7)
#define  LED7_On()    (GPIOD->PCOR = (1<<7))       
#define  LED7_Off()   (GPIOD->PSOR = (1<<7))
#define  LED7_Toggle()   (GPIOD->PTOR = (1<<7))

/******************************************************************************
* Types
******************************************************************************/


/******************************************************************************
* Global variables
******************************************************************************/

/******************************************************************************
* Global functions
******************************************************************************/

#endif /* _KVxx_CONFIG_H_ */
