/******************************************************************************
*
* Freescale Semiconductor Inc.
* (c) Copyright 2011-2012 Freescale Semiconductor, Inc.
* ALL RIGHTS RESERVED.
*
***************************************************************************//*!
*
* @file pmc.c
*
* @author 
*
* @version 0.0.1
*
* @date Jul 17, 2011
*
* @brief 
*
*******************************************************************************
*
******************************************************************************/

/******************************************************************************
* Includes
******************************************************************************/
	
#include "common.h"
#include "mma8451_test.h"
#include "hal_dev_mma8451.h"
#include "angle_cal.h"
/******************************************************************************
* Constants
******************************************************************************/
/******************************************************************************
* Macros
******************************************************************************/
	
#define T_DELAY_LED  10

/******************************************************************************
* Types
******************************************************************************/

/******************************************************************************
* Global variables
******************************************************************************/
uint32_t u16Result_x, u16Result_y, u16Result_z;
uint16_t u16Accel_x,u16Accel_y,u16Accel_z;
uint16_t u16TiltDelay = 0;
/******************************************************************************
* Global functions
******************************************************************************/
void AccelInit(void);
void AccelRead(void);
void AccelDemo(void);
void AllLedOff(void);
/*****************************************************************************//*!
+FUNCTION----------------------------------------------------------------
* @function name: AccelInit
*
* @brief initialize accelerometer
*		 
* @param  none 
*
* @return none
*
* @ Pass/ Fail criteria: none
*****************************************************************************/

void AccelInit(void)
{
    unsigned char tmp;
    printf("****Accelerometor init ****\n");
   //Configure MMA8451 sensor //MMA8451Q
    HAl_DevMma8451Init();      //Initialize I2C modules
    tmp = HAL_DevMma8451ReadReg(0x2a);
    HAL_DevMma8451WriteReg(0x2a,tmp|0x01);
}
/*****************************************************************************//*!
+FUNCTION----------------------------------------------------------------
* @function name: AccelRead
*
* @brief    read accelerometer sensor
*		 
* @param  none 
*
* @return none
*
* @ Pass/ Fail criteria: none
*****************************************************************************/

void AccelRead(void)
{
    if((HAL_DevMma8451ReadReg(0x00)&0xf) != 0)
    {

        u16Accel_x   = HAL_DevMma8451ReadReg(0x01)<<8;
        u16Accel_x  |= HAL_DevMma8451ReadReg(0x02);
        u16Accel_x >>= 2;

        u16Accel_y   = HAL_DevMma8451ReadReg(0x03)<<8;
        u16Accel_y  |= HAL_DevMma8451ReadReg(0x04);
        u16Accel_y >>= 2;

        u16Accel_z   = HAL_DevMma8451ReadReg(0x05)<<8;
        u16Accel_z  |= HAL_DevMma8451ReadReg(0x06);
        u16Accel_z >>= 2;

        u16Result_x   = HAL_DevMma8451ReadReg(0x01)<<8;
        u16Result_x  |= HAL_DevMma8451ReadReg(0x02);
        u16Result_x >>= 8;

        u16Result_y   = HAL_DevMma8451ReadReg(0x03)<<8;
        u16Result_y  |= HAL_DevMma8451ReadReg(0x04);
        u16Result_y >>= 8;

        u16Result_z   = HAL_DevMma8451ReadReg(0x05)<<8;
        u16Result_z  |= HAL_DevMma8451ReadReg(0x06);
        u16Result_z >>= 8;
        
        
        Angle_Calculation(); //-900  to  900            
        FallDetection();
    }

}

/*****************************************************************************//*!
+FUNCTION----------------------------------------------------------------
* @function name: AccelDemo
*
* @brief    
*		 
* @param  none 
*
* @return none
*
* @ Pass/ Fail criteria: none
*****************************************************************************/
void AccelDemo(void)
{
	static int note;
	static int note1;
	static int note2;

	AccelRead(); 
	note  = i16Angle_yz/100;  //9-9
    note1 = i16Angle_xy/100;  //9-9
    note2 = i16Angle_xz/100;  //9-9
#if(0)
    printf("note=%d\n",note);
    printf("note1=%d\n",note1);
    printf("note2=%d\n",note2);
    printf("i16Angle_yz=%d\n",i16Angle_yz);
    printf("i16Angle_xy=%d\n",i16Angle_xy);
    printf("i16Angle_xz=%d\n",i16Angle_xz);
#endif
     AllLedOff();
        switch(note)
        {
        case -9:
        case -8:
        case 1:
            LED4_On();
            break;
        case -7: 
        case 2:
            LED3_On();
            break;
        case -6:
        case 3:
            LED2_On();
            break;
        case -5: 
        case 4:    
           LED1_On();
            break;
        case -4:
        case 5:
            LED0_On();
            break;
        case -3:
        case 6:
            LED5_On();
            break;
        case -2:
        case 7:
            LED6_On();
            break;
        case -1:
        case 8:
        case 9:
            LED7_On();
            break;
        default:
            break;
            
           }

}


void AllLedOff(void)
{
    LED0_Off();
    LED1_Off();
    LED2_Off();
    LED3_Off();
    LED4_Off();
    LED5_Off();
    LED6_Off();
    LED7_Off();
}

