/******************************************************************************
* 
* Copyright (c) 2013 Freescale Semiconductor;
* All Rights Reserved                       
*
******************************************************************************* 
*
* THIS SOFTWARE IS PROVIDED BY FREESCALE "AS IS" AND ANY EXPRESSED OR 
* IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES 
* OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.  
* IN NO EVENT SHALL FREESCALE OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, 
* INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES 
* (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR 
* SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) 
* HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, 
* STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING 
* IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF 
* THE POSSIBILITY OF SUCH DAMAGE.
*
***************************************************************************//*!
*
* @file      M1_StateMachine.h
*
* @author    STSP001
* 
* @version   1.0.2.0
* 
* @date      Oct-9-2013
* 
* @brief     Basic state machine sample code
*
*******************************************************************************
*
* This code contains the state machine functions:
* - FAULT
* - INIT
* - STOP
* - RUN
* 
*
******************************************************************************/
#ifndef _M1_STATEMACHINE_H_
#define _M1_STATEMACHINE_H_

/******************************************************************************
* Includes
******************************************************************************/
#include "state_machine.h"

/******************************************************************************
* Constants
******************************************************************************/

/******************************************************************************
* Macros 
******************************************************************************/

/******************************************************************************
* Types
******************************************************************************/

/******************************************************************************
* Global variables
******************************************************************************/
/* The state machine structure declaration */
extern SM_APP_CTRL_T gsM1_Ctrl;

/******************************************************************************
* Global functions
******************************************************************************/
extern void M1_Fault(int intValue);
extern void M1_SetAppSwitch(int intValue);
extern int M1_GetAppSwitch(void);

/******************************************************************************
* Inline functions
******************************************************************************/

#endif /* _M1_STATEMACHINE_H_ */
