/******************************************************************************
*
* Freescale Semiconductor Inc.
* (c) Copyright 2013 Freescale Semiconductor, Inc.
* ALL RIGHTS RESERVED.
*
***************************************************************************
*
* THIS SOFTWARE IS PROVIDED BY FREESCALE "AS IS" AND ANY EXPRESSED OR
* IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
* OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
* IN NO EVENT SHALL FREESCALE OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
* INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
* (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
* SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
* HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
* STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING
* IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF
* THE POSSIBILITY OF SUCH DAMAGE.
*
***************************************************************************//*!
*
* @file isr.h
*
* @author Freescale
*
* @version 0.0.1
*
* @date Jun. 25, 2013
*
* @brief define interrupt service routines referenced by the vector table. 
*
* Note: Only "vectors.c" should include this header file.
*
*******************************************************************************
******************************************************************************/

#ifndef __ISR_H
#define __ISR_H


/* Example */
/*
#undef  VECTOR_044
#define VECTOR_044 LPTMR_Isr
*/


/*
// ISR(s) are defined in your project directory.
extern void LPTMR_Isr(void);
*/
extern void ADC0_Isr(void);
extern void ADC1_Isr(void);
extern void FMSTR_Isr(void);     /* interrupt handler for LONG_INTR and SHORT_INTR modes */

/*!
 * @brief define interrupt service routine for different vectors.
 *
 */
#undef  VECTOR_031
#define VECTOR_031 ADC0_Isr     /*!< Vector 31 points to ADC0 interrupt service routine */
#undef  VECTOR_032
#define VECTOR_032 ADC1_Isr     /*!< Vector 32 points to ADC0 interrupt service routine */

#undef  VECTOR_028
#define VECTOR_028 FMSTR_Isr    /*!< Vector 28 points to UART0 interrupt service routine */


#endif  //__ISR_H

/* End of "isr.h" */
